×
Versions de Kunena

Kunena 5.2.9 stable

  • Plus d'informations
Annonce importante

Question Disponibilité de la version stable de Kunena 6.0 pour Joomla! 4.1

Plus d'informations
10 Jui 2022 21:44 #1 par failrOn
L'équipe de développement de Kunena est fière d'annoncer la disponibilité de la version stable de Kunena 6.0 pour Joomla! 4.1.

Kunena 6.0 a été conçue pour fonctionner sur Joomla! 4.1, les pré-requis sont les suivants :
  • Php 7.4.1 à Php 8.1.0
  • MySQL 5.7.8
  • Bootstrap 5.x
Entre la RC3 et la version stable ce sont surtout des correctifs qui ont été ajoutés dans le code.

Le travail effectué sur Kunena 6.0 est majoritairement pour mettre à niveau le code :
  • Ajout de l'éditeur SCeditor 3.1.x en plus de CKeditor 4.x
  • Possibilité depuis la beta 3 de faire une mise à jour depuis une version 5.2
  • Conversion de presque toutes les requêtes pour utiliser Joomla! Database pour être agnostique
  • La structure des dossiers utilise la nomenclature spécifique à Joomla! 4.0
  • Conversion de tous les fichiers en frontend et backend pour utiliser les espaces de nom
  • Suppression du code obsolète
  • Un nouveau template est présent nommé Aurelia qui fonctionne avec Bootstrap 5.x
Télécharger Kunena 6.0 stable et le pack de langues

Pour soutenir le projet Kunena : soutenir via le système de sponsor de github
Les utilisateur(s) suivant ont remercié: Luigi_B

Veuillez vous connecter ou vous enregistrer pour rejoindre la conversation.

Plus d'informations
08 Aoû 2022 17:37 - 10 Aoû 2022 18:35 #2 par Luigi_B
Excellente nouvelle !

Pour faire la mise à niveau, j'avais réussi à obtenir que mon hébergement mutualisé chez OVH passe de MySql 5.6 à 5.7 mais, en relisant les pré-requis ici, je crains que ce ne soit pas suffisant (5.7.8).

Edit : on dirait que si.
Dernière édition: 10 Aoû 2022 18:35 par Luigi_B.
Les utilisateur(s) suivant ont remercié: failrOn

Veuillez vous connecter ou vous enregistrer pour rejoindre la conversation.

Plus d'informations
08 Aoû 2022 18:02 #3 par failrOn
Bonjour,

Je ne connais pas les offres d'OVH, la dernière dans la branche 5.7 c'est la 5.7.39. La 5.7.8 elle date de 2015. Ils ne proposent pas mariadb 10.x ? Sinon est-ce qu'ils proposent MySQL 8.0 ?

Pour soutenir le projet Kunena : soutenir via le système de sponsor de github

Veuillez vous connecter ou vous enregistrer pour rejoindre la conversation.

Plus d'informations
08 Aoû 2022 18:13 - 10 Aoû 2022 18:40 #4 par Luigi_B
J'ai obtenu 5.7.38 et c'est ce que j'aurai de mieux. Pas de mariadb ou de MySQL 8.0 en hébergement mutualisé. :-/
Dernière édition: 10 Aoû 2022 18:40 par Luigi_B.

Veuillez vous connecter ou vous enregistrer pour rejoindre la conversation.

  • Vous ne pouvez pas: Créer un nouveau sujet.
  • Vous ne pouvez pas: Répondre au sujet.
  • Vous ne pouvez pas: Éditer votre message.
Modérateurs: lavstephfailrOnScottuxserge
Temps de génération de la page : 0.206 secondes
Propulsé par Kunena